Bug 211507 - Diff action uploads any size diff
Diff action uploads any size diff
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Sanders
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2006-10-19 15:24 EDT by Ken Ganong
Modified: 2011-01-05 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-05 17:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-10-19 15:24:01 EDT
Reproduction:
1. create a small text config file in RHN named /tmp/testfile
2. schedule a diff action for a system with that file.
3. on client machine create a 14 MB text file named /tmp/testfile
4. run rhn_check

Expected Results:
rhn_check quickly bails the diff action when it sees the largeness of the file.
The entry in rhnActionConfigRevision is given the foreign key reference to
rhnConfigFileFailure with label too_big

Actual Results:
rhn_check takes several seconds to complete.
a 14 MB entry gets put into rhnActionConfigRevisionResult
Comment 1 Red Hat Bugzilla 2007-04-11 21:29:49 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Clifford Perry 2011-01-05 17:50:25 EST
The RHN Satellite 4.x and RHN Proxy 4.x products have reached their end of
life. Please see:

Satellite 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0001.html

RHN Proxy 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0002.html

This bugzilla was reported for an unspecified version of the product, but was created prior to the release of 5.x - as such we assume this bug was reported for the 4.x version of the product - which is no longer supported. 

https://access.redhat.com/support/policy/updates/satellite/
RHN Satellite and Proxy Server 5
General availability: 	June 26, 2007

We are closing this bugzilla out. If you feel this bug report should be
reviewed again since it is valid for a currently supported product version,
then please feel free to re-open this bug report. 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.